import { Expose } from "class-transformer";

export class ContractResponseDTO {
    @Expose() contractId: number;
    @Expose() contractType: number | null;
    @Expose() phone: string | null;
    @Expose() busTypeId: number | null;
    /* @Expose() countryId: string | null;
    @Expose() cityId: string | null;
    @Expose() awardId: string | null;
    @Expose() streetNo: string | null; */
    @Expose() fullAddress: string | null;
    @Expose() contractFile: string | null;
    @Expose() softFile: string | null;
    @Expose() licenceIn: string | null;
    @Expose() accountNo: string | null;
    @Expose() status: number | null;
    @Expose() createdUserId: string | null;
    @Expose() createdDate: Date | null;
    @Expose() lastUpdate: Date | null;
    @Expose() companyName: string | null;
    @Expose() position: string | null;
    @Expose() contractNumber: string | null;
    @Expose() website: string | null;
    @Expose() taxNo: string | null;
    @Expose() bankNo: string | null;
    @Expose() bankName: string | null;
    @Expose() fromDate: string | null;
    @Expose() toDate: string | null;
    @Expose() name: string | null;
    @Expose() accountName: string | null;
    @Expose() email: string | null;
    @Expose() userTakeCare: string | null;
    @Expose() userSaleId: string | null;
    @Expose() userContractId: string | null;
    @Expose() merchantId: number | null;
    @Expose() brandName: string | null;
    @Expose() bankOwner: string | null;
    @Expose() part1: string | null;
    @Expose() position1: string | null;
    @Expose() contact1: string | null;
    @Expose() part2: string | null;
    @Expose() position2: string | null;
    @Expose() contact2: string | null;
    @Expose() part3: string | null;
    @Expose() position3: string | null;
    @Expose() contact3: string | null;
    @Expose() idCard: string | null;
    @Expose() dateIssueCard: string | null;
    @Expose() placeIssueCard: string | null;
    @Expose() phone1: string | null;
    @Expose() phone2: string | null;
    @Expose() phone3: string | null;
    @Expose() email1: string | null;
    @Expose() email2: string | null;
    @Expose() email3: string | null;
    paymentMethods: any[];
    contractAppendix: any[];
    devices: any[];
}
